package com.happy.dao;

import com.happy.Model.HotelCouponStatus;

import java.util.List;

public interface HotelCoupomStatusDao {

    /**
     * 描述：失效已领取的优惠卷
     * @param id 优惠卷id
     * @return 受影响行数
     */
    int updateLapse(List<String> id);

    /**
     * 描述：定时任务执行修改过期优惠卷
     * @return 受影响行数
     */
    int updateExpir(String dateTime);

    int insert(HotelCouponStatus hotelCouponStatus);

    HotelCouponStatus getById(String id);

    int update(HotelCouponStatus hotelCouponStatus);

    List<HotelCouponStatus> getBookingId(String bookingId);
}
